#pragma once

#include "CoreMinimal.h"
#include "DBDTableRowBase.h"
#include "UObject/SoftObjectPtr.h"
#include "SpecialEventLoadingScreenViewData.h"
#include "SpecialEventLoadingScreenWidgetData.generated.h"

class UUserWidget;

USTRUCT(BlueprintType)
struct FSpecialEventLoadingScreenWidgetData : public FDBDTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<UUserWidget> SpecialEventLoadingScreenWidget;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FSpecialEventLoadingScreenViewData SpecialEventLoadingScreenViewData;

public:
	DBDUIVIEWINTERFACES_API FSpecialEventLoadingScreenWidgetData();
};

FORCEINLINE uint32 GetTypeHash(const FSpecialEventLoadingScreenWidgetData) { return 0; }
